cordova.define("com.kochava.sdk.Kochava", function(require, exports, module) {

/*
 * File Nmame  : kochava.js
 * Author     : Kochava
 * Description : This file initiates the call to the native library from the plugin
 */

function callCordova(command) {
	var args = Array.prototype.slice.call(arguments, 1);
	cordova.exec(function callback(data) { },
				 function errorHandler(err) { },
				 'KochavaEvents',
				 command,
				 args
				 );
}

function callCordovaCallback(command, callback) {
	var args = Array.prototype.slice.call(arguments, 2);
	cordova.exec(callback,
				 function errorHandler(err) { },
				 'KochavaEvents',
				 command,
				 args
				 );
}


var Kochava = {
	
	Event:function(eventName, eventValue)	{
		callCordova('TrackEvent', eventName, eventValue);
	},
		
	SpatialEvent:function(spatialEvent, x, y, z)	{
		callCordova('SpatialEvent', spatialEvent, x, y, z);
	},
		
	DeeplinkEvent:function(uri, callingApp)	{
		callCordova('DeeplinkEvent', uri, callingApp);
	},
		
	EnableLogging:function(state){
		callCordova('EnableLogging', state);
	},
		
	LimitAdTracking:function(state)	{
		callCordova('LimitAdTracking', state);
	},
		
	IdentityLink:function(parms)		{
		callCordova('IdentityLink', parms);
	},
		
	RetrieveAttribution:function(callback)	{
		callCordovaCallback('RetrieveAttribution', callback);
	},
		
	GetKochavaDeviceId:function(callback)		{
		callCordovaCallback('GetKochavaDeviceId', callback);
	},
	
};

function initKochava() {

	var dataMap = {};
	dataMap["kochava_ios_app_id"] = 'kojiko56cb1dc4551a7';	// insert your kochava ios app id from your dashboard
	dataMap["kochava_android_app_id"] = 'kojiko-android56cb1c157bb53';	// insert your kochava android app id from your dashboard
	dataMap["currency"] = 'gbp';	// default is US
	dataMap["debug"] = true;
	dataMap["request_attribution"] = false;
	dataMap["app_limit_tracking"] = false;

	// identity link data is optional
//	var idlinkMap = {};
//	idlinkMap[""] = "";
//	idlinkMap[""] = "";
//	dataMap["identity_link"] = idlinkMap;
	
	callCordova('initKochava', dataMap);
}

document.addEventListener('deviceready', initKochava ,false);

module.exports = Kochava;


});
